// Program  lx_test81.cpp;
// Test of sqrtx2m1(z) = sqrt(z^2-1);

#include <iostream>       
#include "lx_cimath.hpp"

using namespace cxsc;
using namespace std;

int main()
{
    stagprec = 30; 
    lx_cinterval z,w;
    lx_interval x,y;

	 x = lx_interval(0,l_interval(1,1));
	 y = lx_interval(+4503599627370495.0,l_interval(1,1));
    z = lx_cinterval(x,y);
	 
    w = sqrtx2m1(z);
	 
    cout << SetDotPrecision(16*stagprec,16*stagprec) 
         << Scientific;
	 
    cout << "sqrtx2m1(z) = " << w << endl;
} 
