// sample program lx_test1.cpp;  test of the -,+ operators:

#include <iostream>       
#include "lx_interval.hpp"

using namespace cxsc;
using namespace std;

int main()
{
    stagprec = 39;  // Precision: 16*39 = 624 decimal digits
    l_interval a(point_max()),b(point_any(926)),yi;
    lx_interval A,Y;

    A = lx_interval(1200,a);  // Constructor call
    Y = (A + b) - A;
    yi = Y;  // Assignment to type l_interval;
    cout << "RelDiam(yi) = " << RelDiam(yi) << endl;
    cout << SetDotPrecision(16*stagprec,16*stagprec) << Scientific;
    cout << "yi = " << yi << endl;
}
