// Program  lx_test77.cpp;
// Test of atan(z);

#include <iostream>       
#include "lx_cimath.hpp"

using namespace cxsc;
using namespace std;

int main()
{
    stagprec = 30; 
    lx_cinterval z,w;
    lx_interval x,y;
    string s;

    x = lx_interval(0,l_interval(0)); 
    y = 1 - lx_interval(-2095,l_interval(1));
    z = lx_cinterval(x,y);
    w = atan(z);
    cout << SetDotPrecision(16*stagprec,16*stagprec+10) 
         << Scientific;
    cout << "atan(z) = " << w << endl;
    s << w;
    cout << "atan(z) = " << s << endl;
} 
